<template>
  <div class="list row">
    <div class="col">
      <h4>Record logs</h4>
      <ul class="list-group">
        <li
          class="list-group-item"
          v-for="(record, index) in records"
          :key="index"
        >
          {{ record.name }} - {{ record.action }}
        </li>
      </ul>
    </div>
  </div>
</template>

<script>
import UserService from "../services/UserService";

export default {
  data() {
    return {
      records: [],
    };
  },
  methods: {
    onDataChange(items) {
      let _records = [];

      items.forEach((item) => {
        let key = item.key;
        let data = item.val();
        _records.push({
          key: key,
          name: data.name,
          action: data.action,
        });
      });

      this.records = _records;
    }
  },
  mounted() {
    UserService.getAll().on("value", this.onDataChange);
  }
};
</script>

<style>
.list {
  text-align: left;
  max-width: 750px;
  margin: auto;
}
</style>
